settings = {}
settings.texture = "assets/particles/dot.png"
settings.color0 = "0.6 0 0 0"
settings.color1 = "1.0 1.0 0.266 0.3"
settings.color2 = "0.6 0.0 0.0 0.0"
settings.color3 = "0.6 0.0 0.0 0.0"
settings.size0 = 4.5
settings.size1 = 4.5
settings.size2 = 0
settings.size3 = 0
settings.time0 = 0
settings.time1 = 0.5
settings.time2 = 0.95
settings.time3 = 1.0
settings.drag = "0.02 0.02 0.02"
settings.gravity = "0.02 0.02 0.02"
settings.inheritedVelFactor = 0
settings.lifetimeMS = 200
settings.lifetimeVarianceMS = 0
settings.spinSpeed = 0
settings.useInvAlpha = true
settings.needsSorting = true
addParticleType("CameraParticle",settings)

settings = {}
settings.particles = "CameraParticle"
settings.ejectionOffset = 0.5
settings.ejectionPeriodMS = 2
settings.ejectionVelocity = 0
settings.periodVarianceMS = 0
settings.phiReferenceVel = 0
settings.thetaMax = 3.1415
settings.thetaMin = 0
settings.phiVariance = 6.28
settings.uiName = "Admin Orb"
settings.lifetimeMS = 0
addEmitterType("CameraEmitter",settings)

settings = {}
settings.texture = "assets/particles/cloud.png"
settings.color0 = "0.0 0.0 1.0 0.6"
settings.color1 = "1.0 0.46 0.0 0.5"
settings.color2 = "1.0 0.46 0.0 0.4"
settings.color3 = "1.0 0.0 0.0 0.0"
settings.size0 = 1.6 
settings.size1 = 1.0
settings.size2 = 1.0
settings.size3 = 2.1
settings.time0 = 0
settings.time1 = 0.2
settings.time2 = 0.3
settings.time3 = 1
settings.drag = "0.2 0.2 0.2"
settings.gravity = "0 -5 0"
settings.inheritedVelFactor = 1
settings.lifetimeMS = 200
settings.lifetimeVarianceMS = 10
settings.spinSpeed = 1
settings.useInvAlpha = true
settings.needsSorting = true
addParticleType("playerJetParticle",settings)

settings = {}
settings.particles = "playerJetParticle"
settings.ejectionOffset = 0
settings.ejectionPeriodMS = 8
settings.ejectionVelocity = 5
settings.periodVarianceMS = 0
settings.phiReferenceVel = 0
settings.phiVariance = 360
settings.thetaMax = 3.1415
settings.thetaMin = 3.1415
settings.velocityVariance = 0
settings.lifetimeMS = 0;
settings.uiName = "Player Jet"
addEmitterType("playerJetEmitter",settings)

settings = {}
settings.texture = "assets/particles/chunk.png"
settings.color0 = "0.2 0.07 0.0 1.0"
settings.color1 = "0.0 0.0 0.0 0.47"
settings.color2 = "0.0 0.0 0.0 0.47"
settings.color3 = "0.0 0.0 0.0 0.0"
settings.time0 = 0
settings.time1 = 0.45
settings.time2 = 0.55
settings.time3 = 1
settings.size0 = 0.25 * 3
settings.size1 = 0.10 * 3
settings.size2 = 0
settings.size3 = 0
settings.drag = "2 2 2"
settings.gravity = "0 -20 0"
settings.spinSpeed = 150
settings.inheritedVelFactor = 0.2
settings.lifetimeMS = 400
settings.lifetimeVarianceMS = 300
settings.useInvAlpha = false
settings.needsSorting = true
addParticleType("wrenchSparkParticle",settings)

settings = {}
settings.particles = "wrenchSparkParticle"
settings.ejectionOffset = 0.5
settings.ejectionPeriodMS = 2
settings.ejectionVelocity = 5 * 3
settings.lifetimeMS = 50
settings.periodVarianceMS = 0
settings.phiReferenceVel = 0
settings.phiVariance = 3.1415 * 2
settings.thetaMax = 3.1415 / 2
settings.thetaMin = 0
settings.uiName = "Wrench Oil"
settings.velocityVariance = 9
addEmitterType("wrenchSparkEmitter",settings)

settings = {}
settings.texture = "assets/particles/star1.png"
settings.color0 = "1.0 1.0 0.0 0.0"
settings.color1 = "1.0 1.0 0.0 0.47"
settings.color2 = "1.0 1.0 0.0 0.0"
settings.color3 = "1.0 1.0 0.0 0.0"
settings.time0 = 0
settings.time1 = 0.5
settings.time2 = 0.99
settings.time3 = 1
settings.size0 = 0.15 * 3
settings.size1 = 0.05 * 3
settings.size2 = 0
settings.size3 = 0
settings.drag = "2 2 2"
settings.gravity = "0 -20 0"
settings.spinSpeed = 150
settings.inheritedVelFactor = 0.2
settings.lifetimeMS = 400
settings.lifetimeVarianceMS = 300
settings.useInvAlpha = false
settings.needsSorting = true
addParticleType("hammerSparkParticle",settings)

settings = {}
settings.particles = "hammerSparkParticle"
settings.ejectionOffset = 0.5
settings.ejectionPeriodMS = 3
settings.ejectionVelocity = 5 * 3
settings.lifetimeMS = 50
settings.periodVarianceMS = 0
settings.phiReferenceVel = 0
settings.phiVariance = 3.1415 * 2
settings.thetaMax = 3.1415 / 2
settings.thetaMin = 0
settings.uiName = "Hammer Spark"
settings.velocityVariance = 9
addEmitterType("hammerSparkEmitter",settings)

settings = {}
settings.texture = "assets/particles/cloud.png"
settings.color0 = "1.0 1.0 1.0 0.2"
settings.color1 = "1.0 1.0 1.0 0.2"
settings.color2 = "1.0 1.0 1.0 0.2"
settings.color3 = "0.0 0.0 0.0 0.0"
settings.time0 = 0
settings.time1 = 0.25
settings.time2 = 0.5
settings.time3 = 1
settings.size0 = 0.5 * 2
settings.size1 = 1 * 2
settings.size2 = 3
settings.size3 = 3
settings.drag = "4 4 4"
settings.gravity = "0 15 0"
settings.spinSpeed = 50
settings.inheritedVelFactor = 0.2
settings.lifetimeMS = 500
settings.lifetimeVarianceMS = 300
settings.useInvAlpha = true
settings.needsSorting = true
addParticleType("hammerExplosionParticle",settings)

settings = {}
settings.particles = "hammerExplosionParticle"
settings.ejectionOffset = 0
settings.ejectionPeriodMS = 3
settings.ejectionVelocity = 10 * 3
settings.lifetimeMS = 50
settings.periodVarianceMS = 0
settings.phiReferenceVel = 0
settings.phiVariance = 3.1415 * 2
settings.thetaMax = math.rad(85)
settings.thetaMin = math.rad(80)
settings.uiName = "Hammer Smoke"
settings.velocityVariance = 3
addEmitterType("hammerExplosionEmitter",settings)

settings = {}
settings.texture = "assets/particles/nut.png"
settings.color0 = "1.0 1.0 0.0 1.0"
settings.color1 = "1.0 1.0 0.0 1.0"
settings.color2 = "1.0 1.0 0.0 0.0"
settings.color3 = "0.0 0.0 0.0 0.0"
settings.time0 = 0
settings.time1 = 0.75
settings.time2 = 0.90
settings.time3 = 1
settings.size0 = 0.6
settings.size1 = 0.6
settings.size2 = 0.6
settings.size3 = 0.6
settings.drag = "8 8 8"
settings.gravity = "0 15 0"
settings.spinSpeed = 50
settings.inheritedVelFactor = 0.2
settings.lifetimeMS = 500
settings.lifetimeVarianceMS = 300
settings.useInvAlpha = true
settings.needsSorting = true
addParticleType("wrenchExplosionParticle",settings)

settings = {}
settings.particles = "wrenchExplosionParticle"
settings.ejectionOffset = 0
settings.ejectionPeriodMS = 3
settings.ejectionVelocity = 10 * 3
settings.lifetimeMS = 50
settings.periodVarianceMS = 0
settings.phiReferenceVel = 0
settings.phiVariance = 3.1415 * 2
settings.thetaMax = math.rad(85)
settings.thetaMin = math.rad(80)
settings.uiName = "Wrench Nut"
settings.velocityVariance = 3
addEmitterType("wrenchExplosionEmitter",settings)

settings = {}
settings.texture = "assets/particles/bubble.png"
settings.color0 = "0.66 0.8 1.0 0.8"
settings.color1 = "0.66 0.8 1.0 0.8"
settings.color2 = "0.66 0.8 1.0 0.8"
settings.color3 = "0.66 0.8 1.0 0.0"
settings.time0 = 0
settings.time1 = 0.25
settings.time2 = 0.5
settings.time3 = 1
settings.size0 = 0.6
settings.size1 = 0.6
settings.size2 = 0.6
settings.size3 = 1.0
settings.drag = "0 0 0"
settings.gravity = "0 -20 0"
settings.spinSpeed = 0
settings.inheritedVelFactor = 0
settings.lifetimeMS = 1200
settings.lifetimeVarianceMS = 400
settings.useInvAlpha = false
settings.needsSorting = true
addParticleType("playerBubbleParticle",settings)

settings = {}
settings.particles = "playerBubbleParticle"
settings.ejectionOffset = 0.4
settings.ejectionPeriodMS = 1
settings.ejectionVelocity = 21
settings.lifetimeMS = 70
settings.periodVarianceMS = 0
settings.phiReferenceVel = 0
settings.phiVariance = 3.1415 * 2
settings.thetaMax = math.rad(30)
settings.thetaMin = math.rad(0)
settings.uiName = "Player Bubbles"
settings.velocityVariance = 9
addEmitterType("playerBubbleEmitter",settings)

settings = {}
settings.texture = "assets/particles/cloud.png"
settings.color0 = "1.0 1.0 1.0 0.1"
settings.color1 = "1.0 1.0 1.0 0.1"
settings.color2 = "1.0 1.0 1.0 0.1"
settings.color3 = "1.0 1.0 1.0 0.0"
settings.time0 = 0
settings.time1 = 0.25
settings.time2 = 0.5
settings.time3 = 1
settings.size0 = 0.2
settings.size1 = 0.4
settings.size2 = 0.5
settings.size3 = 3
settings.drag = "4 4 4"
settings.gravity = "0 20 0"
settings.spinSpeed = 5
settings.inheritedVelFactor = 1
settings.lifetimeMS = 2000
settings.lifetimeVarianceMS = 300
settings.useInvAlpha = true
settings.needsSorting = true
addParticleType("gunSmokeParticle",settings)

settings = {}
settings.particles = "gunSmokeParticle"
settings.ejectionOffset = 0
settings.ejectionPeriodMS = 1
settings.ejectionVelocity = 0
settings.lifetimeMS = 600
settings.periodVarianceMS = 0
settings.phiReferenceVel = 0
settings.phiVariance = 3.1415 * 2
settings.thetaMax = math.rad(85)
settings.thetaMin = math.rad(80)
settings.uiName = "Gun Smoke"
settings.velocityVariance = 3
addEmitterType("gunSmokeEmitter",settings)

settings = {}
settings.particles = "gunSmokeParticle"
settings.ejectionOffset = 0
settings.ejectionPeriodMS = 1
settings.ejectionVelocity = 0
settings.lifetimeMS = 0
settings.periodVarianceMS = 0
settings.phiReferenceVel = 0
settings.phiVariance = 3.1415 * 2
settings.thetaMax = math.rad(85)
settings.thetaMin = math.rad(80)
settings.uiName = "Shell Smoke"
settings.velocityVariance = 3
addEmitterType("shellTrailEmitter",settings)

settings = {}
settings.texture = "assets/particles/Pain.png"
settings.color0 = "1.0 0.0 0.0 1.0"
settings.color1 = "1.0 1.0 0.0 0.47"
settings.color2 = "1.0 0.0 0.0 0.0"
settings.color3 = "1.0 0.0 0.0 0.0"
settings.time0 = 0
settings.time1 = 0.5
settings.time2 = 0.99
settings.time3 = 1
settings.size0 = 0.60 * 5.0
settings.size1 = 0.30 * 5.0
settings.size2 = 0.1 * 5.0
settings.size3 = 0
settings.drag = "2 2 2"
settings.gravity = "0 2 0"
settings.spinSpeed = 0.2
settings.inheritedVelFactor = 0.2
settings.lifetimeMS = 1600
settings.lifetimeVarianceMS = 300
settings.useInvAlpha = false
settings.needsSorting = true
addParticleType("ouchParticle",settings)

settings = {}
settings.particles = "ouchParticle"
settings.ejectionOffset = 0.5
settings.ejectionPeriodMS = 3
settings.ejectionVelocity = 5 * 3
settings.lifetimeMS = 50
settings.periodVarianceMS = 0
settings.phiReferenceVel = 0
settings.phiVariance = 3.1415 * 2
settings.thetaMax = 3.1415 / 2
settings.thetaMin = 0
settings.uiName = "Ouch"
settings.velocityVariance = 9
addEmitterType("ouchEmitter",settings)
